## EntangleCameraPicker EntangleCameraPicker |

## Functions

EntangleCameraPicker * | entangle_camera_picker_new ()
void | entangle_camera_picker_set_camera_list ()

## Properties

EntangleCameraList * | cameras | Read / Write

## Signals

void | picker-connect | Run First
void | picker-refresh | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EntangleCameraPicker

## Description

## Functions

### entangle_camera_picker_new ()

    EntangleCameraPicker *
    entangle_camera_picker_new (void);

### entangle_camera_picker_set_camera_list ()

    void
    entangle_camera_picker_set_camera_list
                                   (EntangleCameraPicker *picker,
                                    EntangleCameraList *cameras);

## Types and Values

## Property Details

### The `“cameras”` property

      “cameras”                  EntangleCameraList *

List of known camera objects.

Flags: Read / Write

## Signal Details

### The `“picker-connect”` signal

    void
    user_function (EntangleCameraPicker *entanglecamerapicker,
                   GObject              *arg1,
                   gpointer              user_data)

Flags: Run First

### The `“picker-refresh”` signal

    void
    user_function (EntangleCameraPicker *entanglecamerapicker,
                   gpointer              user_data)

Flags: Run First